/*
 * @Author: howie
 * @Date: 2022-07-09 10:29:40
 * @LastEditors: howie
 * @LastEditTime: 2022-07-11 10:48:05
 * @FilePath: \supply-front\src\api\engin_deposit.js
 * @Description:
 *
 * Copyright (c) 2022, All Rights Reserved.
 */
import request from '@/utils/request'

// 获取列表
export function getList(params) {
  return request({
    url: '/deposit-manage/list',
    method: 'get',
    params
  })
}

// 编辑详情
export function editInfo(params) {
  return request({
    url: '/deposit-manage/edit',
    method: 'post',
    data: params
  })
}

//获取发货详情
export function getListProject(params) {
  return request({
    url: '/invoice/listProject',
    method: 'get',
    params
  })
}

// 获取押金详情
export function geDetail(params) {
  return request({
    url: '/deposit-manage/detail',
    method: 'get',
    params
  })
}

// 获取订单详情
export function geOrderInfo(params) {
  return request({
    url: '/deposit-manage/query-engin-order-info',
    method: 'get',
    params
  })
}

// 申请退押
export function applyDeposit(params) {
  return request({
    url: '/deposit-manage/apply-refund-deposit',
    method: 'post',
    data: params
  })
}

// 在线计算收差金额
export function computeDiff(params) {
  return request({
    url: '/deposit-manage/online-compute-diff',
    method: 'post',
    data: params
  })
}
